# frozen_string_literal: true

module Projects
  class HgrcResetService < BaseService
    def execute
      Gitlab::AppLogger.info(
        service: "HgrcResetService",
        message: "Resetting values",
        inherit: true,
        current_user_id: current_user&.id,
        project_id: project.id
      )
      project.repository.set_hgrc(current_user, true, {})
    end
  end
end
