# frozen_string_literal: true

namespace :heptapod do
  namespace :experimental do
    desc 'GitLab | Migrate to Native Hg'
    task :hg_migrate_native, [:project_id, :force] => [:gitlab_environment] do |task, args|
      args.with_default(force: false)
      project = Project.find(args[:project_id])

      if %w(hg git).include?(project.vcs_type) && !args[:force]
        puts "abort: project is already migrated, use 'force' to migrate anyway"
        exit(1)
      end

      migrator = Heptapod::NativeMercurial::Migrator.new(project)
      migrator.migrate!
      puts 'Done!'
    end
  end
end
