# frozen_string_literal: true

namespace :dev do
  desc 'GitLab | Migrate to Native Hg: set vcs_type and clear cache'
  task :set_vcs_hg, [:project_id] => [:gitlab_environment] do |task, args|
    project = Project.find(args[:project_id])

    if project.vcs_type != 'hg_git'
      puts "Abort: Project's vcs_type is not 'hg_git' but '#{project.vcs_type}'"
      exit(1)
    end

    project.vcs_type = 'hg'
    project.repository.expire_all_method_caches
    project.save!
    puts 'Done!'
  end
end
