import sys
import os
import os.path
import glob

git_root_directory = os.path.abspath(sys.argv[1])
global_hgrc = os.path.join(git_root_directory, 'global_hgrc')

# Check that global_hgrc
assert os.path.isfile(global_hgrc)

# Get all the hgrc
hgrcs = glob.glob(os.path.join(git_root_directory, "*/*.hg/.hg/hgrc"))

NEW_HGRC = """%include {global_hgrc}

[heptapod]
mirror-path = {mirror_path}
"""

for hgrc in hgrcs:
    print("Rewriting hgrc {}".format(hgrc))
    # Read the mirror-path
    mirror_path = None
    with open(hgrc, 'r') as hgrc_file:
        for line in hgrc_file:
            if line.startswith('mirror-path ='):
                mirror_path = line.split(' ')[2]

    assert mirror_path is not None

    new_hgrc = NEW_HGRC.format(global_hgrc=global_hgrc, mirror_path=mirror_path)

    with open(hgrc, 'w') as hgrc_file:
        hgrc_file.write(new_hgrc)
