# frozen_string_literal: true

class DropVulnerabilityConfidenceIndex < ActiveRecord::Migration[6.0]
  include Gitlab::Database::MigrationHelpers

  disable_ddl_transaction!

  DOWNTIME = false
  INDEX_NAME = 'index_vulnerability_on_id_and_confidence_eq_zero'

  def up
    Gitlab::BackgroundMigration.steal('RemoveUndefinedVulnerabilityConfidenceLevel')

    remove_concurrent_index_by_name :vulnerabilities, INDEX_NAME
  end

  def down
    add_concurrent_index(:vulnerabilities, :id, where: 'confidence = 0', name: INDEX_NAME)
  end
end
